// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: rl_maze.proto

#ifndef PROTOBUF_rl_5fmaze_2eproto__INCLUDED
#define PROTOBUF_rl_5fmaze_2eproto__INCLUDED


#pragma warning (disable : 4125) // Added for UE4 in 2018-12-13 04:42:27.331000(UTC)

#include <string>

#include <google/protobuf/stubs/common.h>

#if GOOGLE_PROTOBUF_VERSION < 3005000
#error This file was generated by a newer version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please update
#error your headers.
#endif
#if 3005001 < GOOGLE_PROTOBUF_MIN_PROTOC_VERSION
#error This file was generated by an older version of protoc which is
#error incompatible with your Protocol Buffer headers.  Please
#error regenerate this file with a newer version of protoc.
#endif

#include <google/protobuf/io/coded_stream.h>
#include <google/protobuf/arena.h>
#include <google/protobuf/arenastring.h>
#include <google/protobuf/generated_message_table_driven.h>
#include <google/protobuf/generated_message_util.h>
#include <google/protobuf/metadata.h>
#include <google/protobuf/message.h>
#include <google/protobuf/repeated_field.h>  // IWYU pragma: export
#include <google/protobuf/extension_set.h>  // IWYU pragma: export
#include <google/protobuf/unknown_field_set.h>
// @@protoc_insertion_point(includes)

namespace protobuf_rl_5fmaze_2eproto {
// Internal implementation detail -- do not use these members.
struct TableStruct {
  static const ::google::protobuf::internal::ParseTableField entries[];
  static const ::google::protobuf::internal::AuxillaryParseTableField aux[];
  static const ::google::protobuf::internal::ParseTable schema[2];
  static const ::google::protobuf::internal::FieldMetadata field_metadata[];
  static const ::google::protobuf::internal::SerializationTable serialization_table[];
  static const ::google::protobuf::uint32 offsets[];
};
void AddDescriptors();
void InitDefaultsResetMsgImpl();
void InitDefaultsResetMsg();
void InitDefaultsStepMsgImpl();
void InitDefaultsStepMsg();
inline void InitDefaults() {
  InitDefaultsResetMsg();
  InitDefaultsStepMsg();
}
}  // namespace protobuf_rl_5fmaze_2eproto
namespace RLMaze {
class ResetMsg;
class ResetMsgDefaultTypeInternal;
extern ResetMsgDefaultTypeInternal _ResetMsg_default_instance_;
class StepMsg;
class StepMsgDefaultTypeInternal;
extern StepMsgDefaultTypeInternal _StepMsg_default_instance_;
}  // namespace RLMaze
namespace RLMaze {

// ===================================================================

class ResetMsg : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:RLMaze.ResetMsg) */ {
 public:
  ResetMsg();
  virtual ~ResetMsg();

  ResetMsg(const ResetMsg& from);

  inline ResetMsg& operator=(const ResetMsg& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  ResetMsg(ResetMsg&& from) 
    : ResetMsg() {
    *this = ::std::move(from);
  }

  inline ResetMsg& operator=(ResetMsg&& from)  {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  inline const ::google::protobuf::UnknownFieldSet& unknown_fields() const {
    return _internal_metadata_.unknown_fields();
  }
  inline ::google::protobuf::UnknownFieldSet* mutable_unknown_fields() {
    return _internal_metadata_.mutable_unknown_fields();
  }

  static const ::google::protobuf::Descriptor* descriptor();
  static const ResetMsg& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const ResetMsg* internal_default_instance() {
    return reinterpret_cast<const ResetMsg*>(
               &_ResetMsg_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    0;

  void Swap(ResetMsg* other);
  friend void swap(ResetMsg& a, ResetMsg& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline ResetMsg* New() const PROTOBUF_FINAL { return New(NULL); }

  ResetMsg* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const ResetMsg& from);
  void MergeFrom(const ResetMsg& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(ResetMsg* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // optional bytes state = 1;
  bool has_state() const;
  void clear_state();
  static const int kStateFieldNumber = 1;
  const ::std::string& state() const;
  void set_state(const ::std::string& value);
  #if LANG_CXX11
  void set_state(::std::string&& value);
  #endif
  void set_state(const char* value);
  void set_state(const void* value, size_t size);
  ::std::string* mutable_state();
  ::std::string* release_state();
  void set_allocated_state(::std::string* state);

  // optional uint64 time_stamp = 2;
  bool has_time_stamp() const;
  void clear_time_stamp();
  static const int kTimeStampFieldNumber = 2;
  ::google::protobuf::uint64 time_stamp() const;
  void set_time_stamp(::google::protobuf::uint64 value);

  // required bool reply = 3;
  bool has_reply() const;
  void clear_reply();
  static const int kReplyFieldNumber = 3;
  bool reply() const;
  void set_reply(bool value);

  // @@protoc_insertion_point(class_scope:RLMaze.ResetMsg)
 private:
  void set_has_state();
  void clear_has_state();
  void set_has_time_stamp();
  void clear_has_time_stamp();
  void set_has_reply();
  void clear_has_reply();

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::HasBits<1> _has_bits_;
  mutable int _cached_size_;
  ::google::protobuf::internal::ArenaStringPtr state_;
  ::google::protobuf::uint64 time_stamp_;
  bool reply_;
  friend struct ::protobuf_rl_5fmaze_2eproto::TableStruct;
  friend void ::protobuf_rl_5fmaze_2eproto::InitDefaultsResetMsgImpl();
};
// -------------------------------------------------------------------

class StepMsg : public ::google::protobuf::Message /* @@protoc_insertion_point(class_definition:RLMaze.StepMsg) */ {
 public:
  StepMsg();
  virtual ~StepMsg();

  StepMsg(const StepMsg& from);

  inline StepMsg& operator=(const StepMsg& from) {
    CopyFrom(from);
    return *this;
  }
  #if LANG_CXX11
  StepMsg(StepMsg&& from) 
    : StepMsg() {
    *this = ::std::move(from);
  }

  inline StepMsg& operator=(StepMsg&& from)  {
    if (GetArenaNoVirtual() == from.GetArenaNoVirtual()) {
      if (this != &from) InternalSwap(&from);
    } else {
      CopyFrom(from);
    }
    return *this;
  }
  #endif
  inline const ::google::protobuf::UnknownFieldSet& unknown_fields() const {
    return _internal_metadata_.unknown_fields();
  }
  inline ::google::protobuf::UnknownFieldSet* mutable_unknown_fields() {
    return _internal_metadata_.mutable_unknown_fields();
  }

  static const ::google::protobuf::Descriptor* descriptor();
  static const StepMsg& default_instance();

  static void InitAsDefaultInstance();  // FOR INTERNAL USE ONLY
  static inline const StepMsg* internal_default_instance() {
    return reinterpret_cast<const StepMsg*>(
               &_StepMsg_default_instance_);
  }
  static PROTOBUF_CONSTEXPR int const kIndexInFileMessages =
    1;

  void Swap(StepMsg* other);
  friend void swap(StepMsg& a, StepMsg& b) {
    a.Swap(&b);
  }

  // implements Message ----------------------------------------------

  inline StepMsg* New() const PROTOBUF_FINAL { return New(NULL); }

  StepMsg* New(::google::protobuf::Arena* arena) const PROTOBUF_FINAL;
  void CopyFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void MergeFrom(const ::google::protobuf::Message& from) PROTOBUF_FINAL;
  void CopyFrom(const StepMsg& from);
  void MergeFrom(const StepMsg& from);
  void Clear() PROTOBUF_FINAL;
  bool IsInitialized() const PROTOBUF_FINAL;

  size_t ByteSizeLong() const PROTOBUF_FINAL;
  bool MergePartialFromCodedStream(
      ::google::protobuf::io::CodedInputStream* input) PROTOBUF_FINAL;
  void SerializeWithCachedSizes(
      ::google::protobuf::io::CodedOutputStream* output) const PROTOBUF_FINAL;
  ::google::protobuf::uint8* InternalSerializeWithCachedSizesToArray(
      bool deterministic, ::google::protobuf::uint8* target) const PROTOBUF_FINAL;
  int GetCachedSize() const PROTOBUF_FINAL { return _cached_size_; }
  private:
  void SharedCtor();
  void SharedDtor();
  void SetCachedSize(int size) const PROTOBUF_FINAL;
  void InternalSwap(StepMsg* other);
  private:
  inline ::google::protobuf::Arena* GetArenaNoVirtual() const {
    return NULL;
  }
  inline void* MaybeArenaPtr() const {
    return NULL;
  }
  public:

  ::google::protobuf::Metadata GetMetadata() const PROTOBUF_FINAL;

  // nested types ----------------------------------------------------

  // accessors -------------------------------------------------------

  // repeated float action = 1;
  int action_size() const;
  void clear_action();
  static const int kActionFieldNumber = 1;
  float action(int index) const;
  void set_action(int index, float value);
  void add_action(float value);
  const ::google::protobuf::RepeatedField< float >&
      action() const;
  ::google::protobuf::RepeatedField< float >*
      mutable_action();

  // optional bytes next_state = 2;
  bool has_next_state() const;
  void clear_next_state();
  static const int kNextStateFieldNumber = 2;
  const ::std::string& next_state() const;
  void set_next_state(const ::std::string& value);
  #if LANG_CXX11
  void set_next_state(::std::string&& value);
  #endif
  void set_next_state(const char* value);
  void set_next_state(const void* value, size_t size);
  ::std::string* mutable_next_state();
  ::std::string* release_next_state();
  void set_allocated_next_state(::std::string* next_state);

  // optional float reward = 3 [default = 0];
  bool has_reward() const;
  void clear_reward();
  static const int kRewardFieldNumber = 3;
  float reward() const;
  void set_reward(float value);

  // optional bool terminal = 4 [default = false];
  bool has_terminal() const;
  void clear_terminal();
  static const int kTerminalFieldNumber = 4;
  bool terminal() const;
  void set_terminal(bool value);

  // required bool reply = 6;
  bool has_reply() const;
  void clear_reply();
  static const int kReplyFieldNumber = 6;
  bool reply() const;
  void set_reply(bool value);

  // optional uint64 time_stamp = 5;
  bool has_time_stamp() const;
  void clear_time_stamp();
  static const int kTimeStampFieldNumber = 5;
  ::google::protobuf::uint64 time_stamp() const;
  void set_time_stamp(::google::protobuf::uint64 value);

  // @@protoc_insertion_point(class_scope:RLMaze.StepMsg)
 private:
  void set_has_next_state();
  void clear_has_next_state();
  void set_has_reward();
  void clear_has_reward();
  void set_has_terminal();
  void clear_has_terminal();
  void set_has_time_stamp();
  void clear_has_time_stamp();
  void set_has_reply();
  void clear_has_reply();

  ::google::protobuf::internal::InternalMetadataWithArena _internal_metadata_;
  ::google::protobuf::internal::HasBits<1> _has_bits_;
  mutable int _cached_size_;
  ::google::protobuf::RepeatedField< float > action_;
  ::google::protobuf::internal::ArenaStringPtr next_state_;
  float reward_;
  bool terminal_;
  bool reply_;
  ::google::protobuf::uint64 time_stamp_;
  friend struct ::protobuf_rl_5fmaze_2eproto::TableStruct;
  friend void ::protobuf_rl_5fmaze_2eproto::InitDefaultsStepMsgImpl();
};
// ===================================================================


// ===================================================================

#ifdef __GNUC__
  #pragma GCC diagnostic push
  #pragma GCC diagnostic ignored "-Wstrict-aliasing"
#endif  // __GNUC__
// ResetMsg

// optional bytes state = 1;
inline bool ResetMsg::has_state() const {
  return (_has_bits_[0] & 0x00000001u) != 0;
}
inline void ResetMsg::set_has_state() {
  _has_bits_[0] |= 0x00000001u;
}
inline void ResetMsg::clear_has_state() {
  _has_bits_[0] &= ~0x00000001u;
}
inline void ResetMsg::clear_state() {
  state_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_state();
}
inline const ::std::string& ResetMsg::state() const {
  // @@protoc_insertion_point(field_get:RLMaze.ResetMsg.state)
  return state_.GetNoArena();
}
inline void ResetMsg::set_state(const ::std::string& value) {
  set_has_state();
  state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:RLMaze.ResetMsg.state)
}
#if LANG_CXX11
inline void ResetMsg::set_state(::std::string&& value) {
  set_has_state();
  state_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:RLMaze.ResetMsg.state)
}
#endif
inline void ResetMsg::set_state(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_state();
  state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:RLMaze.ResetMsg.state)
}
inline void ResetMsg::set_state(const void* value, size_t size) {
  set_has_state();
  state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:RLMaze.ResetMsg.state)
}
inline ::std::string* ResetMsg::mutable_state() {
  set_has_state();
  // @@protoc_insertion_point(field_mutable:RLMaze.ResetMsg.state)
  return state_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* ResetMsg::release_state() {
  // @@protoc_insertion_point(field_release:RLMaze.ResetMsg.state)
  clear_has_state();
  return state_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void ResetMsg::set_allocated_state(::std::string* state) {
  if (state != NULL) {
    set_has_state();
  } else {
    clear_has_state();
  }
  state_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), state);
  // @@protoc_insertion_point(field_set_allocated:RLMaze.ResetMsg.state)
}

// optional uint64 time_stamp = 2;
inline bool ResetMsg::has_time_stamp() const {
  return (_has_bits_[0] & 0x00000002u) != 0;
}
inline void ResetMsg::set_has_time_stamp() {
  _has_bits_[0] |= 0x00000002u;
}
inline void ResetMsg::clear_has_time_stamp() {
  _has_bits_[0] &= ~0x00000002u;
}
inline void ResetMsg::clear_time_stamp() {
  time_stamp_ = GOOGLE_ULONGLONG(0);
  clear_has_time_stamp();
}
inline ::google::protobuf::uint64 ResetMsg::time_stamp() const {
  // @@protoc_insertion_point(field_get:RLMaze.ResetMsg.time_stamp)
  return time_stamp_;
}
inline void ResetMsg::set_time_stamp(::google::protobuf::uint64 value) {
  set_has_time_stamp();
  time_stamp_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.ResetMsg.time_stamp)
}

// required bool reply = 3;
inline bool ResetMsg::has_reply() const {
  return (_has_bits_[0] & 0x00000004u) != 0;
}
inline void ResetMsg::set_has_reply() {
  _has_bits_[0] |= 0x00000004u;
}
inline void ResetMsg::clear_has_reply() {
  _has_bits_[0] &= ~0x00000004u;
}
inline void ResetMsg::clear_reply() {
  reply_ = false;
  clear_has_reply();
}
inline bool ResetMsg::reply() const {
  // @@protoc_insertion_point(field_get:RLMaze.ResetMsg.reply)
  return reply_;
}
inline void ResetMsg::set_reply(bool value) {
  set_has_reply();
  reply_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.ResetMsg.reply)
}

// -------------------------------------------------------------------

// StepMsg

// repeated float action = 1;
inline int StepMsg::action_size() const {
  return action_.size();
}
inline void StepMsg::clear_action() {
  action_.Clear();
}
inline float StepMsg::action(int index) const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.action)
  return action_.Get(index);
}
inline void StepMsg::set_action(int index, float value) {
  action_.Set(index, value);
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.action)
}
inline void StepMsg::add_action(float value) {
  action_.Add(value);
  // @@protoc_insertion_point(field_add:RLMaze.StepMsg.action)
}
inline const ::google::protobuf::RepeatedField< float >&
StepMsg::action() const {
  // @@protoc_insertion_point(field_list:RLMaze.StepMsg.action)
  return action_;
}
inline ::google::protobuf::RepeatedField< float >*
StepMsg::mutable_action() {
  // @@protoc_insertion_point(field_mutable_list:RLMaze.StepMsg.action)
  return &action_;
}

// optional bytes next_state = 2;
inline bool StepMsg::has_next_state() const {
  return (_has_bits_[0] & 0x00000001u) != 0;
}
inline void StepMsg::set_has_next_state() {
  _has_bits_[0] |= 0x00000001u;
}
inline void StepMsg::clear_has_next_state() {
  _has_bits_[0] &= ~0x00000001u;
}
inline void StepMsg::clear_next_state() {
  next_state_.ClearToEmptyNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
  clear_has_next_state();
}
inline const ::std::string& StepMsg::next_state() const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.next_state)
  return next_state_.GetNoArena();
}
inline void StepMsg::set_next_state(const ::std::string& value) {
  set_has_next_state();
  next_state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), value);
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.next_state)
}
#if LANG_CXX11
inline void StepMsg::set_next_state(::std::string&& value) {
  set_has_next_state();
  next_state_.SetNoArena(
    &::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::move(value));
  // @@protoc_insertion_point(field_set_rvalue:RLMaze.StepMsg.next_state)
}
#endif
inline void StepMsg::set_next_state(const char* value) {
  GOOGLE_DCHECK(value != NULL);
  set_has_next_state();
  next_state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), ::std::string(value));
  // @@protoc_insertion_point(field_set_char:RLMaze.StepMsg.next_state)
}
inline void StepMsg::set_next_state(const void* value, size_t size) {
  set_has_next_state();
  next_state_.SetNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(),
      ::std::string(reinterpret_cast<const char*>(value), size));
  // @@protoc_insertion_point(field_set_pointer:RLMaze.StepMsg.next_state)
}
inline ::std::string* StepMsg::mutable_next_state() {
  set_has_next_state();
  // @@protoc_insertion_point(field_mutable:RLMaze.StepMsg.next_state)
  return next_state_.MutableNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline ::std::string* StepMsg::release_next_state() {
  // @@protoc_insertion_point(field_release:RLMaze.StepMsg.next_state)
  clear_has_next_state();
  return next_state_.ReleaseNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited());
}
inline void StepMsg::set_allocated_next_state(::std::string* next_state) {
  if (next_state != NULL) {
    set_has_next_state();
  } else {
    clear_has_next_state();
  }
  next_state_.SetAllocatedNoArena(&::google::protobuf::internal::GetEmptyStringAlreadyInited(), next_state);
  // @@protoc_insertion_point(field_set_allocated:RLMaze.StepMsg.next_state)
}

// optional float reward = 3 [default = 0];
inline bool StepMsg::has_reward() const {
  return (_has_bits_[0] & 0x00000002u) != 0;
}
inline void StepMsg::set_has_reward() {
  _has_bits_[0] |= 0x00000002u;
}
inline void StepMsg::clear_has_reward() {
  _has_bits_[0] &= ~0x00000002u;
}
inline void StepMsg::clear_reward() {
  reward_ = 0;
  clear_has_reward();
}
inline float StepMsg::reward() const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.reward)
  return reward_;
}
inline void StepMsg::set_reward(float value) {
  set_has_reward();
  reward_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.reward)
}

// optional bool terminal = 4 [default = false];
inline bool StepMsg::has_terminal() const {
  return (_has_bits_[0] & 0x00000004u) != 0;
}
inline void StepMsg::set_has_terminal() {
  _has_bits_[0] |= 0x00000004u;
}
inline void StepMsg::clear_has_terminal() {
  _has_bits_[0] &= ~0x00000004u;
}
inline void StepMsg::clear_terminal() {
  terminal_ = false;
  clear_has_terminal();
}
inline bool StepMsg::terminal() const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.terminal)
  return terminal_;
}
inline void StepMsg::set_terminal(bool value) {
  set_has_terminal();
  terminal_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.terminal)
}

// optional uint64 time_stamp = 5;
inline bool StepMsg::has_time_stamp() const {
  return (_has_bits_[0] & 0x00000010u) != 0;
}
inline void StepMsg::set_has_time_stamp() {
  _has_bits_[0] |= 0x00000010u;
}
inline void StepMsg::clear_has_time_stamp() {
  _has_bits_[0] &= ~0x00000010u;
}
inline void StepMsg::clear_time_stamp() {
  time_stamp_ = GOOGLE_ULONGLONG(0);
  clear_has_time_stamp();
}
inline ::google::protobuf::uint64 StepMsg::time_stamp() const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.time_stamp)
  return time_stamp_;
}
inline void StepMsg::set_time_stamp(::google::protobuf::uint64 value) {
  set_has_time_stamp();
  time_stamp_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.time_stamp)
}

// required bool reply = 6;
inline bool StepMsg::has_reply() const {
  return (_has_bits_[0] & 0x00000008u) != 0;
}
inline void StepMsg::set_has_reply() {
  _has_bits_[0] |= 0x00000008u;
}
inline void StepMsg::clear_has_reply() {
  _has_bits_[0] &= ~0x00000008u;
}
inline void StepMsg::clear_reply() {
  reply_ = false;
  clear_has_reply();
}
inline bool StepMsg::reply() const {
  // @@protoc_insertion_point(field_get:RLMaze.StepMsg.reply)
  return reply_;
}
inline void StepMsg::set_reply(bool value) {
  set_has_reply();
  reply_ = value;
  // @@protoc_insertion_point(field_set:RLMaze.StepMsg.reply)
}

#ifdef __GNUC__
  #pragma GCC diagnostic pop
#endif  // __GNUC__
// -------------------------------------------------------------------


// @@protoc_insertion_point(namespace_scope)

}  // namespace RLMaze

// @@protoc_insertion_point(global_scope)

#endif  // PROTOBUF_rl_5fmaze_2eproto__INCLUDED
